Retrieve the rate table for a benefit
Mirrors RateReadApi::rateTableForBenefit — returns the bands and resolved rates for the requested rate identifiers
Query Parameters
Comma-separated list of rate identifiers to retrieve
Example:POLICY_FEE
The issue age to resolve rates for.
Example:45
Filter by gender
Example:FEMALE
Filter by risk class
Example:PREFERREDNONTOBACCO
Filter by smoke class
Example:PREFERREDNONTOBACCO
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:FNWL
The Product ID
Example:TR0101-20
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
Authentication
Path Parameters
Query Parameters
Retrieve a single rate for a benefit
Mirrors RateReadApi::getSingleRate — returns the rate series for the requested rate identifier and face amount’s band
Query Parameters
The rate identifier to retrieve
Example:POLICY_FEE
Selects which band’s rate series to return
Example:500000
Filter by issue age
Example:45
Filter by gender
Example:FEMALE
Filter by risk class
Example:PREFERREDNONTOBACCO
Filter by smoke class
Example:PREFERREDNONTOBACCO
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:FNWL
The Product ID
Example:TR0101-20
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
Authentication
Path Parameters
Query Parameters
Retrieve the configuration for a benefit
Mirrors RateReadApi::configurationForBenefit — returns the benefit’s static configuration metadata, keyed by name
Query Parameters
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:FNWL
The Product ID
Example:TR0101-20
The Benefit ID
Example:Base_Coverage
Response
application/json
Response
OK
Authentication
Path Parameters
Query Parameters
Retrieve the scenarios for a product
Mirrors RateReadApi::scenariosForProduct — returns the scenarios to run for the product’s calculation/illustration type
Query Parameters
The calculation type identifier
Example:SINGLE_ILLUSTRATION
The illustration type identifier
Example:NEW_BUSINESS
Optional Jurisdiction to be provided in ISO format
Example:US-PA
Optional fixed cost period
Default:0
Example:10
Optional product version
Example:25.05.01.0
Optional issue date
Example:2026-03-20
Path Parameters
The Carrier ID
Example:FNWL
The Product ID
Example:IU0101
Response
application/json
Response
OK
ScenariosToRunItem
The scenarios to run for a product’s calculation/illustration type, and the illustration duration.
One scenario to run, mirroring a ScenarioObject entry from ScenarioMapping.json.
Show Child Parameters
Authentication
Path Parameters
Query Parameters
Utility
Utility operations